Requirements

  1. HTML 4.01/XHTML 1.0
  2. CSS (basics)
  3. Server-side programming: PHP, or ASP, or JSP, or ... (basics)